Bric::Util::Trans::FTP(3)

NAME
Bric::Util::Trans::FTP - FTP Client interface for distributing resources.

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2006-05-25 20:23:06 +0200 (Thu, 25 May 2006) $

SYNOPSIS
  use Bric::Util::Trans::FTP

DESCRIPTION
The distribution API uses this class to distribute resources to other servers via FTP.

INTERFACE

  Constructors
NONE.

  Destructors
NONE.

  Public Class Methods
NONE.

  Public Instance Methods
NONE.

  Public Functions

my $bool = Bric::Util::Trans::FTP->put_res($resources, $st)
    Puts the files specified by the $job object on the servers specified by $st.

    Throws:

    •   Unable to connect to remote server.

    •   Unable to login to remote server.

    •   Unable to change to binary mode on remote server.

    •   Unable to create directory on remote server.

    •   Unable to put resource on remote server.

    •   Unable to rename resource on remote server.

    •   Unable to properly close connection to remote server.

    Side Effects: NONE.

    Notes: Uses Net::FTP internally. Unfortunately, except for connecting to the remote server, Net::FTP provides no error messages for failures. This will make debugging more difficult, but there's not much to be done. Hopefully the generalized error messages will be enough to give system administrators a clue as to what needs to be changed.

my $bool = Bric::Util::Trans::FTP->del_res($resources, $st)
    Deletes the files specified by the $job object from the servers specified by $st.

    Throws:

    •   Unable to connect to remote server.

    •   Unable to login to remote server.

    •   Unable to delete resource from remote server.

    •   Unable to properly close connection to remote server.

    Side Effects: NONE.

    Notes: See put_res(), above.

PRIVATE

  Private Class Methods
NONE.

  Private Instance Methods
NONE.

  Private Functions
NONE.

NOTES
NONE.

AUTHOR
David Wheeler <david@justatheory.com>

SEE ALSO
Bric, Bric::Dist::Action, Bric::Dist::Action::Mover, Bric::Util::Trans::FS